delete from tbl_domains where registrant like 'MG%';
delete from tbl_contacts where handle like 'MG%';
delete from tbl_users where username in ('pinco', 'pallino');

insert into tbl_users (billingID, description, username, password) values ('IT01234567890-a', 'Pinco', 'pinco', md5('test1234'));
insert into tbl_users (billingID, description, username, password) values ('IT01234567890-b', 'Pallino', 'pallino', md5('test1234'));
insert into tbl_users (billingID, description, username, password) values ('IT01234567890-c', 'Rossi', 'rossi', md5('test1234'));

insert into tbl_contacts (userID, status, handle, name) values ((SELECT id FROM tbl_users where username='pinco'), 1, 'MG123', 'pinco client 1');
insert into tbl_contacts (userID, status, handle, name) values ((SELECT id FROM tbl_users where username='pinco'), 1, 'MG456', 'pinco client 2');
insert into tbl_contacts (userID, status, handle, name) values ((SELECT id FROM tbl_users where username='pallino'), 1, 'MG789', 'pallino client 1');

insert into tbl_domains (userID, status, registrant, domain) values ((SELECT id FROM tbl_users where username='pinco'), 1, 'MG123', 'test.it');
insert into tbl_domains (userID, status, registrant, domain, active, lastInvoice) values ((SELECT id FROM tbl_users where username='pinco'), 1, 'MG123', 'test2.it', 0, DATE_SUB(CURDATE(), INTERVAL 2 YEAR));
insert into tbl_domains (userID, status, registrant, domain) values ((SELECT id FROM tbl_users where username='pinco'), 1, 'MG123', 'test3.it');
insert into tbl_domains (userID, status, registrant, domain, lastInvoice) values ((SELECT id FROM tbl_users where username='pinco'), 1, 'MG456', 'test4.it', DATE_SUB(CURDATE(), INTERVAL 2 YEAR));
insert into tbl_domains (userID, status, registrant, domain, lastInvoice) values ((SELECT id FROM tbl_users where username='pallino'), 1, 'MG789', 'test5.it', DATE_SUB(CURDATE(), INTERVAL 2 YEAR));

update tbl_contacts set org='Pinco Client Srl', street='Downtown', street2='Big', street3='Italy', city='Rome', province='RM', postalcode='00100', countrycode='IT', voice='+39.0123456789', fax='+39.9876543210', email='pinco@client.it', authinfo='ABC', consentforpublishing=0, nationalitycode='IT', entitytype=2, regcode='12345678910';
