#!/bin/sh
#

COMPILER=`which msgfmt`
if [ "$COMPILER" = "" ]; then
  echo "The application 'msgfmt' was not found. Please install the 'gettext' package!"
  echo "You will also need to check your system-wide locales by editing either of:"
  echo ""
  echo "  /var/lib/locales/supported.d/local ('locale-gen')"
  echo "  /etc/locals.gen ('dpkg-reconfigure locales')"
  echo ""
  echo "You may there define things like:"
  echo ""
  echo "  en_US.UTF-8 UTF-8"
  echo "  en_GB.UTF-8 UTF-8"
  echo "  de_DE.UTF-8 UTF-8"
  echo "  de_DE ISO-8859-1"
  echo "  it_IT.UTF-8 UTF-8"
  echo "  it_IT ISO-8859-1"
  echo ""
  echo "Please restart apache when done!"
  exit;
fi

for LANGUAGE in ./locale/* ; do
  echo "Updating $LANGUAGE..."
  msgfmt $LANGUAGE/LC_MESSAGES/eppitnic-php-wi.po -o $LANGUAGE/LC_MESSAGES/eppitnic-php-wi.mo
done
