<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1>{t}cp_welcome{/t}</h1>
      <p>{t}cp_description{/t}</p>
    </div>
  </div>
</div>

{if !empty($error)}
<div class="wrap">
    <pre class="error">{$error}</pre>
</div>
{/if}

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){
      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // auto-focus on the first important field
      $('#autofocus').focus();
    });
  </script>
  {/literal}

  <fieldset id="inputArea">
    <legend>{t}cp_legendName{/t}</legend>
    <span>
      <label for="newPassword">{t}cp_newPasswordLabel{/t}</label>
      <input type="text" name="newPassword" value="{$smarty.post.newPassword}" tabindex="1" id="autofocus" maxlength="32" />
    </span>
    <span>
      <label for="button"> </label>
      {if $writeable == 1}
      <a href="javascript:submitFormConfirm('changePassword','{t}cp_changeConfirm{/t}')" class="button"><span>{t}cp_changePasswordButton{/t}</span></a>
      {else}
      <a href="" class="button"><span>{t}cp_changePasswordButtonDisabled{/t}</span></a>
      {/if}
    </span>
  </fieldset>
</div>
