<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1>{t}hp_welcome{/t}<strong>{$user_description}</strong></h1>
      {if $error == ""}
      <p>{t}hp_intro{/t}</p>
      {else}
      <pre class="error">{$error}</pre>
      {/if}
      {if $credit eq "unknown"}
      <strong><pre class="error">{t}hp_noConnection{/t}</pre></strong>
      <p><a href="./?p=resetConnection">{t}hp_resetConnection{/t}</a></p>
      {elseif ($smarty.session.id == 1) && ($credit ne "")}
      <p>
      <strong>{t}hp_credit{/t}</strong>{$credit} &euro;<br />
      <strong>{t}hp_forecast{/t} (<a href="./?p=listExpiringDomainsWeb">{$creditforecastdays} {t}hp_forecastDays{/t}</a>): </strong>{$forecast} &euro;
      </p>
      {/if}
      <input type="text" name="whois" value="WHOIS" maxlength="67" id="whois" />
    </div>
  </div>
</div>

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){

      // clear field on focus
      $('#whois').focus(function(){
        if ($(this).val() == 'WHOIS')
          $(this).val('');
      });
      $('#whois').blur(function(){
        if ($(this).val() == '')
          $(this).val('WHOIS');
      });
      $('#whois').keypress(function(e){
        if ( e.keyCode == 13 ) submitForm('whois');
      });

      // fill polling queue table
      $('#pollqueue').dataTable( {
        "bProcessing": true,
        "bServerSide": true,
        "aaSorting": [
          [0,'desc']
        ],
        "sAjaxSource": "pollingQueue.php",
        "sPaginationType": "full_numbers",
        "sDom": 'fprt<"bottom"i<"clear">l>',
        "oLanguage": {
          {/literal}
          "sLengthMenu":   "_MENU_",
          "sZeroRecords":  "{t}hp_pollQueueEmpty{/t}",
          "sSearch":       "",
          "sInfo":         "_START_ {t}hp_pollQueueTo{/t} _END_ {t}hp_pollQueueOutOf{/t} _TOTAL_",
          "sInfoEmpty":    "{t}hp_pollQueueEmpty{/t}",
          "sInfoFiltered": "(_MAX_ {t}hp_pollQueueNotFiltered{/t})",
          "oPaginate": {literal}{{/literal}
            "sFirst":      "{t}hp_pollQueueFirst{/t}",
            "sPrevious":   "{t}hp_pollQueuePrevious{/t}",
            "sNext":       "{t}hp_pollQueueNext{/t}",
            "sLast":       "{t}hp_pollQueueLast{/t}",
          {literal}
          },
        },
        "fnRowCallback": function( nRow, aData, iDisplayIndex ) {
          // get entry ID in order to create a link to the polling queue entry (XML dumps)
          var ID = $('td:eq(0)', nRow).text();

          // set link to password change function
          var $cell=$('td:eq(2)', nRow);
          if ( $cell.text() == 'passwdReminder' )
            $cell.html('<a href="./?p=changePassword">passwdReminder</a>');

          // set links to domains
          var $cell=$('td:eq(3)', nRow);
          $cell.html('<a href="./?p=viewDomain&domain='+$cell.text()+'">'+$cell.text()+'</a>');

          {/literal}
          {if $smarty.session.id == 1}
          // set link to polling queue entry (XML dumps)
          var $cell=$('td:eq(4)', nRow);
          $cell.html($cell.text()+' <a href="./?p=messageDetails&id='+ID+'">{t}hp_pollQueueMore{/t}</a>');
          {/if}
          {literal}

          return nRow;
        },
      });

      // fill accounting table
      {/literal}
      {if $displayAccounting eq "true"}
      {literal}
      $('#accounting').dataTable( {
        "bProcessing": true,
        "bServerSide": true,
        "aaSorting": [
          [0,'desc']
        ],
        "sAjaxSource": "accounting.php",
        "sPaginationType": "full_numbers",
        "sDom": 'fprt<"bottom"i<"clear">l>',
        "oLanguage": {
          {/literal}
          "sLengthMenu":   "_MENU_",
          "sZeroRecords":  "{t}hp_pollQueueEmpty{/t}",
          "sSearch":       "",
          "sInfo":         "_START_ {t}hp_pollQueueTo{/t} _END_ {t}hp_pollQueueOutOf{/t} _TOTAL_",
          "sInfoEmpty":    "{t}hp_pollQueueEmpty{/t}",
          "sInfoFiltered": "(_MAX_ {t}hp_pollQueueNotFiltered{/t})",
          "oPaginate": {literal}{{/literal}
            "sFirst":      "{t}hp_pollQueueFirst{/t}",
            "sPrevious":   "{t}hp_pollQueuePrevious{/t}",
            "sNext":       "{t}hp_pollQueueNext{/t}",
            "sLast":       "{t}hp_pollQueueLast{/t}",
          {literal}
          },
        },
        "fnRowCallback": function( nRow, aData, iDisplayIndex ) {
          // set links to domains
          var $cell=$('td:eq(3)', nRow);
          $cell.html('<a href="./?p=viewDomain&domain='+$cell.text()+'">'+$cell.text()+'</a>');

          return nRow;
        },
      });
      {/literal}
      {/if}
      {literal}

      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // if ENTER was pressed on one of these fields start that action
      $('#viewContact').keypress(function(e){
        if ( e.keyCode == 13 ) submitForm('viewContact');
      });
      $('#newContact').keypress(function(e){
        if ( e.keyCode == 13 ) submitForm('newContact');
      });

      // auto-complete
      $('#viewDomain').autocomplete({
        source: "autocompleteDomain.php",
        minLength: 2,
        select: function(event, ui) {
          $(this).val(ui.item.value);
          if ( $(this).val() != "" )
            submitForm('viewDomain')
        }
      });

      // auto-focus on the first important field
      $('#newContact').focus();
    });
  </script>
  {/literal}

  <!-- Cols start -->
  <ul class="cols clearfix">
    <li>
      <h2>{t}hp_viewContactTitle{/t}</h2>
      <p>
        <select name="viewContact" tabindex="3" id="viewContact">
          {foreach from=$contacts item=contact}
          <option value="{$contact.handle}">{$contact.org} --- [ {$contact.handle} ]</option>
          {foreachelse}
          <option value="">{t}hp_noContacts{/t}</option>
          {/foreach}
        </select>
      </p>
      <a href="{if $contacts|@count gt 0}javascript:submitForm('viewContact'){/if}" class="button"><span>{t}hp_viewContactButton{/t}</span></a>
    </li>
    <li class="center">
      <h2>{t}hp_newContactTitle{/t}</h2>
      <p>
         <input type="text" name="newContact" maxlength="64" tabindex="1" id="newContact" />
      </p>
      <a href="javascript:submitForm('newContact')" class="button"><span>{t}hp_newContactButton{/t}</span></a>
    </li>
    <li>
      <h2>{t}hp_quickEditTitle{/t}</h2>
      <p>
         <input type="text" name="viewDomain" maxlength="64" tabindex="2" id="viewDomain" />
      </p>
      <a href="javascript:submitForm('viewDomain')" class="button"><span>{t}hp_quickEditButton{/t}</span></a>
    </li>
  </ul>
  <!-- cols end -->
  
  <strong class="title"><span>{t}hp_pollQueue{/t}</span></strong>
  
  <table id="pollqueue" summary="{t}hp_pollQueueSummary{/t}">
    <thead>
      <tr>
        <th scope="col" width="7%">{t}hp_pollQueueID{/t}</th>
        <th scope="col" width="10%">{t}hp_pollQueueDate{/t}</th>
        <th scope="col" width="17%">{t}hp_pollQueueType{/t}</th>
        <th scope="col" width="20%">{t}hp_pollQueueDomain{/t}</th>
        <th scope="col" width="46%">{t}hp_pollQueueMsg{/t}</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td colspan="5" class="dataTables_empty">Loading data from server</td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <th scope="col">{t}hp_pollQueueID{/t}</th>
        <th scope="col">{t}hp_pollQueueDate{/t}</th>
        <th scope="col">{t}hp_pollQueueType{/t}</th>
        <th scope="col">{t}hp_pollQueueDomain{/t}</th>
        <th scope="col">{t}hp_pollQueueMsg{/t}</th>
      </tr>
    </tfoot>
  </table>

  {if $displayAccounting eq "true"}
  <strong class="title"><span>{t}hp_accounting{/t}</span></strong>
  
  <table id="accounting" summary="{t}hp_accountingSummary{/t}">
    <thead>
      <tr>
        <th scope="col" width="7%">{t}hp_accountingID{/t}</th>
        <th scope="col" width="10%">{t}hp_accountingTime{/t}</th>
        <th scope="col" width="17%">{t}hp_accountingOperation{/t}</th>
        <th scope="col" width="23%">{t}hp_accountingDomain{/t}</th>
        <th scope="col" width="20%">{t}hp_accountingBillingID{/t}</th>
        <th scope="col" width="23%">{t}hp_accountingUser{/t}</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td colspan="5" class="dataTables_empty">Loading data from server</td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <th scope="col">{t}hp_accountingID{/t}</th>
        <th scope="col">{t}hp_accountingTime{/t}</th>
        <th scope="col">{t}hp_accountingOperation{/t}</th>
        <th scope="col">{t}hp_accountingDomain{/t}</th>
        <th scope="col">{t}hp_accountingBillingID{/t}</th>
        <th scope="col">{t}hp_accountingUser{/t}</th>
      </tr>
    </tfoot>
  </table>
  {/if}

  {if $smarty.session.id == 1}
  <strong class="title"><span>{t}hp_listUsers{/t}</span></strong>

  <h2>{t}hp_listUsersTitle{/t}</h2>
  <select name="userid" tabindex="" id="userid">
    {foreach from=$users item=user}
    <option value="{$user.id}">{$user.username}</option>
    {/foreach}
  </select><br>
  <a href="javascript:submitForm('updateUser')" class="button"><span>{t}hp_updateUserButton{/t}</span></a>
  <a href="./?p=newUser" class="button"><span>{t}hp_newUserButton{/t}</span></a>
  <br>
  <br>
  {/if}
  
</div>
