<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1>{t}im_welcome{/t}</h1>
      <p>{t}im_description{/t}</p>
    </div>
  </div>
</div>

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){
      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // auto-focus on the first important field
      $('#domains').focus();
    });
  </script>
  {/literal}

  <fieldset id="inputArea">
    <legend>{t}im_legendName{/t}</legend>
    <span>
      <label for="domains">{t}im_domainsLabel{/t}</label>
      <textarea name="domains" id="domains" style="max-width:300px; height:150px"></textarea>
      <span class="hint">{t}im_domainsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="button"> </label>
      <a href="javascript:submitForm('importDomainsWeb')" class="button"><span>{t}im_importButton{/t}</span></a>
    </span>
  </fieldset>
  {if $results|@count gt 0}
  <fieldset id="inputArea">
    <legend>{t}im_legendNameResults{/t}</legend>
    <span>
      <label for="name">{t}im_resultsLabel{/t}</label>
      <textarea name="results" id="results" style="min-width:600px; max-width:600px; height:150px" disabled="disabled">
{foreach from=$results key=domain item=values}
{$domain}: {$values.step1} / {$values.step2} / {$values.step3} / {$values.step4}
{/foreach}
      </textarea>
    </span>
  </fieldset>
  {/if}
</div>
