<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" />
        <meta http-equiv="content-language" content="en" />
        <meta name="author" lang="en" content="[www.inet-services.it]; e-mail: info@inet-services.it" />
        <meta name="copyright" lang="en" content="Webdesign: Tempixo.com [www.tempixo.com]; e-mail: hello@tempixo.com" />
        <meta name="description" content="IT-NIC EPP domain management web interface" />
        <meta name="keywords" content="IT-NIC EPP domain management web interface" />
        <meta name="robots" content="all,follow" />
        
        <link type="text/css" href="css/jquery-ui-1.8.5.custom.css" rel="stylesheet" /> 
        <link type="text/css" href="css/screen.css" rel="stylesheet" media="screen,projection" />
        <link type="text/css" href="css/print.css" rel="stylesheet" media="print" />
        <style type="text/css" title="currentStyle">
          @import "css/dataTable.css";
        </style>
        
        <script type="text/javascript" src="http{if !empty($smarty.server.HTTPS) && $smarty.server.HTTPS != "off"}s{/if}://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js"></script>
        <script type="text/javascript" src="http{if !empty($smarty.server.HTTPS) && $smarty.server.HTTPS != "off"}s{/if}://ajax.googleapis.com/ajax/libs/jqueryui/1.8.5/jquery-ui.min.js"></script>

        <script type="text/javascript" src="js/jquery.dataTables.min.js"></script>

        <script type="text/javascript" src="js/cufon.js"></script>
        <script type="text/javascript" src="js/cufon-config.js" type="></script>
        <script type="text/javascript" src="js/font.js"></script>
        <script type="text/javascript" src="js/forms.js"></script>
        
        <title>{t}wi_title{/t}</title>
    </head>
    <body>

        <form name="globalForm" method="post">
        {include file="$template.tpl"}
        </form>
        
        <hr class="noscreen" />

        <div id="header">
            <div class="wrap">
                
                <!-- Logo start -->
                  <a id="logo" href="./" title="blackdiamond">{t}wi_pageTitle1{/t} <strong>{t}wi_pageTitle2{/t}</strong></a>
                <!-- Logo end -->
        
                <hr class="noscreen noprint" />
        
                <!-- Navigation start -->
                <strong class="noscreen noprint">{t}wi_navTitle{/t}</strong>
                <ul id="nav">
                    <li{if $template eq "transfer"} class="active"{/if}><a href="./?p=transfer" title="Transfer">{t}wi_navTransfer{/t}</a></li>
                    <li{if $template eq "importDomainsWeb"} class="active"{/if}><a href="./?p=importDomainsWeb" title="Import">{t}wi_navImport{/t}</a></li>
                    <li{if $template eq "exportDomainsWeb"} class="active"{/if}><a href="./?p=exportDomainsWeb" title="Export">{t}wi_navExport{/t}</a></li>
                    <li{if $template eq "listDomainsWeb"} class="active"{/if}><a href="./?p=listDomainsWeb" title="List">{t}wi_navList{/t}</a></li>
                    <li{if $template eq "tasks"} class="active"{/if}><a href="./?p=tasks" title="Tasks">{t}wi_navTasks{/t}</a></li>
                    <li{if $template eq "logout"} class="active"{/if}><a href="./?p=logout" title="Logout">{t}wi_navLogout{/t}</a></li>
                </ul>
                <!-- Navigation end -->
            </div>
        </div>
        
        <hr class="noscreen" />
  
        <!-- Footer start -->
        <p class="footer">
          <span class="floatLeft">
            {$version} &copy; {$copyright} <a href="mailto:info@inet-services.it">G&uuml;nther Mair</a>
            {if $smarty.session.id == 1}
            | license valid until {$licenseValidTo} ({$smarty.session.licenseServer})
            | <a href="./?p=changePassword">{t}wi_changePassword{/t}</a>
            {/if}
          </span>
          <!-- Don't delete the links! -->
          <span id="dont-delete-this" class="floatRight noprint">Design by <a href="http://www.tempixo.com" class="tempixo">Tempixo.com<span></span></a></span> 
          <!-- Thank you :) -->
        </p>
        <!-- Footer end -->
    </body>
</html>
