<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1>{t}uu_new{/t}</h1>
      {if $error == ""}
      <p>{t}uu_description{/t}</p>
      {else}
      <pre class="error">{$error}</pre>
      {/if}
    </div>
  </div>
</div>

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){
      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // auto-focus on the first important field
      $('#autofocus').focus();
    });
  </script>
  {/literal}

  <fieldset id="inputArea">
    <legend>{t}uu_legendName{/t}</legend>
    <span>
      <label for="handle">{t}uu_usernameLabel{/t}</label>
      <input type="text" name="username" value="{$smarty.post.username}" tabindex="1" id="autofocus" maxlength="16" />
      <span class="hint">{t}uu_usernameHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="handle">{t}uu_passwordLabel{/t}</label>
      <input type="password" name="password" value="{$smarty.post.password}" tabindex="2" maxlength="16" />
      <span class="hint">{t}uu_passwordHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="handle">{t}uu_descriptionLabel{/t}</label>
      <input type="text" name="description" value="{$smarty.post.description}" tabindex="3" maxlength="64" />
      <span class="hint">{t}uu_descriptionHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="handle">{t}uu_billingIDLabel{/t}</label>
      <input type="text" name="billingID" value="{$smarty.post.billingID}" tabindex="4" maxlength="16" />
      <span class="hint">{t}uu_billingIDHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="handle">{t}uu_emailLabel{/t}</label>
      <input type="text" name="email" value="{$smarty.post.email}" tabindex="5" maxlength="64" />
      <span class="hint">{t}uu_emailHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="handle">{t}uu_maxOperationsLabel{/t}</label>
      <input type="text" name="maxOperations" value="{$smarty.post.maxOperations}" tabindex="6" maxlength="16" />
      <span class="hint">{t}uu_maxOperationsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="handle">{t}uu_dnsLabel{/t}</label>
      <input type="text" name="dns" value="{$smarty.post.dns}" tabindex="7" maxlength="128" />
      <span class="hint">{t}uu_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="handle">{t}uu_techcLabel{/t}</label>
      <input type="text" name="techc" value="{$smarty.post.techc}" tabindex="8" maxlength="128" />
      <span class="hint">{t}uu_techcHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="buttons"> </label>
      <input type="hidden" name="userid" value="{$smarty.post.userid}" />
      <input type="hidden" name="doAddUser" value="1" />
      <a href="javascript:submitForm('newUser')" class="button"><span>{t}uu_newUserButton{/t}</span></a>
    </span>
  </fieldset>
</div>
