<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){

      // format table
      $('#tasklist').dataTable({
        "sPaginationType": "full_numbers",
        "bRetrieve": true,
        "oLanguage": {
          {/literal}
          "sLengthMenu":   "_MENU_",
          "sZeroRecords":  "{t}hp_pollQueueEmpty{/t}",
          "sSearch":       "",
          "sInfo":         "_START_ {t}hp_pollQueueTo{/t} _END_ {t}hp_pollQueueOutOf{/t} _TOTAL_",
          "sInfoEmpty":    "{t}hp_pollQueueEmpty{/t}",
          "sInfoFiltered": "(_MAX_ {t}hp_pollQueueNotFiltered{/t})",
          "oPaginate": {literal}{{/literal}
            "sFirst":      "{t}hp_pollQueueFirst{/t}",
            "sPrevious":   "{t}hp_pollQueuePrevious{/t}",
            "sNext":       "{t}hp_pollQueueNext{/t}",
            "sLast":       "{t}hp_pollQueueLast{/t}",
          {literal}
          },
        },
        "fnRowCallback": function( nRow, aData, iDisplayIndex ) {
          // set links to domains
          var $cell=$('td:eq(0)', nRow);
          $cell.html('<a href="./?p=viewDomain&domain='+$cell.text()+'">'+$cell.text()+'</a>');
          return nRow;
        },
      });

    });
  </script>
  {/literal}

  <strong class="title"><span>{t}ta_list{/t}</span></strong>
  
  <table id="tasklist" summary="{t}ta_summary{/t}">
    <thead>
      <tr>
        <th scope="col" width="25%">{t}ta_domain{/t}</th>
        <th scope="col" width="10%">{t}ta_date{/t}</th>
        <th scope="col" width="40%">{t}ta_notice{/t}</th>
        <th scope="col" width="25%">{t}ta_email{/t}</th>
      </tr>
    </thead>
    <tbody>
      {foreach from=$reminders item=reminder}
      <tr>
        <td>{$reminder.domain}</td>
        <td>{$reminder.date}</td>
        <td>{$reminder.notice}</td>
        <td>{$reminder.email}</td>
      </tr>
      {foreachelse}
      <tr>
        <td colspan="5" class="dataTables_empty">-</td>
      </tr>
      {/foreach}
    </tbody>
    <tfoot>
      <tr>
        <th scope="col">{t}ta_domain{/t}</th>
        <th scope="col">{t}ta_date{/t}</th>
        <th scope="col">{t}ta_notice{/t}</th>
        <th scope="col">{t}ta_email{/t}</th>
      </tr>
    </tfoot>
  </table>

</div>
