<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1><strong>{t}tr_note{/t}</strong> {t}tr_welcome{/t}</h1>
      {if $error == ""}
      <p>{t}tr_description{/t}</p>
      {else}
      <pre class="error">{$error}</pre>
      {/if}
    </div>
  </div>
</div>

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){
      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // auto-focus on the first important field
      $('#autofocus').focus();
    });
  </script>
  {/literal}

  <fieldset id="inputArea">
    <legend>{t}tr_legendName{/t}</legend>
    <span>
      <label for="domain">{t}tr_domainLabel{/t}</label>
      <input type="text" name="domain" value="{if isset($smarty.post.domain)}{$smarty.post.domain}{/if}" tabindex="1" id="autofocus" maxlength="64" />
      <span class="hint">{t}tr_domainHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="authinfo">{t}nd_authinfoOldLabel{/t}</label>
      <input type="text" name="authinfo" value="{if isset($smarty.post.authinfo)}{$smarty.post.authinfo}{/if}" tabindex="2" maxlength="32" />
      <span class="hint">{t}nd_authinfoHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>

    <span>
      <label for="dns1">{t}nd_dns1Label{/t}</label>
      <input type="text" name="dns1" value="{if isset($smarty.post.dns1)}{$smarty.post.dns1}{/if}" tabindex="3" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="dns1ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns1ip" value="{if isset($smarty.post.dns1ip)}{$smarty.post.dns1ip}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>

    <span>
      <label for="dns2">{t}nd_dns2Label{/t}</label>
      <input type="text" name="dns2" value="{if isset($smarty.post.dns2)}{$smarty.post.dns2}{/if}" tabindex="4" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="dns2ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns2ip" value="{if isset($smarty.post.dns2ip)}{$smarty.post.dns2ip}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>

    <span>
      <label for="dns3">{t}nd_dns3Label{/t}</label>
      <input type="text" name="dns3" value="{if isset($smarty.post.dns3)}{$smarty.post.dns3}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="dns3ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns3ip" value="{if isset($smarty.post.dns3ip)}{$smarty.post.dns3ip}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>

    <span>
      <label for="dns4">{t}nd_dns4Label{/t}</label>
      <input type="text" name="dns4" value="{if isset($smarty.post.dns4)}{$smarty.post.dns4}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="dns4ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns4ip" value="{if isset($smarty.post.dns4ip)}{$smarty.post.dns4ip}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>

    <span>
      <label for="dns5">{t}nd_dns5Label{/t}</label>
      <input type="text" name="dns5" value="{if isset($smarty.post.dns5)}{$smarty.post.dns5}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="dns5ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns5ip" value="{if isset($smarty.post.dns5ip)}{$smarty.post.dns5ip}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>

    <span>
      <label for="dns6">{t}nd_dns6Label{/t}</label>
      <input type="text" name="dns6" value="{if isset($smarty.post.dns6)}{$smarty.post.dns6}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="dns6ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns6ip" value="{if isset($smarty.post.dns6ip)}{$smarty.post.dns6ip}{/if}" tabindex="" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>

    <span>
      <label for="buttons"> </label>
      <a href="javascript:submitFormConfirm('transfer','{t}tr_transferConfirm{/t}')" class="button"><span>{t}tr_transferButton{/t}</span></a>
    </span>
  </fieldset>
</div>
