--
-- $Id$
--
create table tbl_accounting (
  id                    serial,
  status                tinyint NOT NULL DEFAULT 0,
  operation             varchar(64) NOT NULL,
  billingID             varchar(64) NOT NULL,
  object                varchar(255) NOT NULL,
  date                  date,
  time                  timestamp DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  CONSTRAINT FOREIGN KEY (billingID) REFERENCES tbl_users(billingID) ON DELETE RESTRICT ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_bin;

create table tbl_reminder (
  id                    serial,
  active                tinyint DEFAULT 1,
  date                  date,
  domain                varchar(255) NOT NULL,
  email                 varchar(64),
  notice                text
) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_bin;

create table handleID (id int NOT NULL);
insert into handleID values (0);
