<div id="intro">
  <div class="wrap clearfix">
    <div class="floatRight">
      <h1>{if $smarty.post.type == "new"}{t}nd_welcomeNew{/t}{else}{t}nd_welcomeTransfer{/t}{/if}<strong>{$smarty.post.name}</strong></h1>
      {if $error == ""}
      <p>{if $smarty.post.type == "new"}{t}nd_descriptionNew{/t}{else}{t}nd_descriptionTransfer{/t}{/if}</p>
      {else}
      <pre class="error">{$error}</pre>
      {/if}
      <input type="hidden" name="type" value="{$smarty.post.type}" />
    </div>
  </div>
</div>

<div class="wrap">
  {literal}
  <script type="text/javascript">
    $(document).ready(function(){
      // input behaviour + hint fields
      $('input, textarea, select').addClass('idle');
      $('input, textarea, select').focus(function(){
        $(this).addClass('activeField').removeClass('idle');
        $(this).siblings('span .hint').show();
      }).blur(function(){
        $(this).removeClass('activeField').addClass('idle');
        $(this).siblings('span .hint').hide();
      });

      // glue records exist only if the hostname is below the domain name to be registered
      function showGlueRecords(dns, span) {
        var domain = $('#name').val();
        if (dns.slice(-1 * domain.length) == domain)
          $(span).show();
        else
          $(span).hide();
      }
      showGlueRecords($('#dns1').val(), '#dns1ipSpan');
      showGlueRecords($('#dns2').val(), '#dns2ipSpan');
      showGlueRecords($('#dns3').val(), '#dns3ipSpan');
      showGlueRecords($('#dns4').val(), '#dns4ipSpan');
      showGlueRecords($('#dns5').val(), '#dns5ipSpan');
      showGlueRecords($('#dns6').val(), '#dns6ipSpan');
      $('#dns1').change(function(){ showGlueRecords($(this).val(), '#dns1ipSpan'); });
      $('#dns2').change(function(){ showGlueRecords($(this).val(), '#dns2ipSpan'); });
      $('#dns3').change(function(){ showGlueRecords($(this).val(), '#dns3ipSpan'); });
      $('#dns4').change(function(){ showGlueRecords($(this).val(), '#dns4ipSpan'); });
      $('#dns5').change(function(){ showGlueRecords($(this).val(), '#dns5ipSpan'); });
      $('#dns6').change(function(){ showGlueRecords($(this).val(), '#dns6ipSpan'); });

      // decide whether to hide DNSSEC elements
      var dnssec = {/literal}{$dnssec}{literal};
      if (dnssec == 0)
        $('#dnssecSpan').hide();

      $('#dnssec1Span').hide();
      $('#dnssec2Span').hide();
      $('#dnssec1').change(function(){
        if ( $(this).val() == 1 )
          $('#dnssec1Span').show();
        else
          $('#dnssec1Span').hide();
      });
      $('#dnssec2').change(function(){
        if ( $(this).val() == 1 )
          $('#dnssec2Span').show();
        else
          $('#dnssec2Span').hide();
      });

      // auto-focus on the first important field
      $('#autofocus').focus();
    });
  </script>
  {/literal}

  <fieldset id="inputArea">
    <legend>{t}nd_legendName{/t}</legend>
    <span>
      <label for="name">{t}nd_nameLabel{/t}</label>
      <input type="text" name="nameDisplay" value="{$smarty.post.name}" tabindex="" maxlength="255" disabled="disabled" />
      <input type="hidden" id="name" name="name" value="{$smarty.post.name}" maxlength="255" />
      <span class="hint">{t}nd_nameHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="registrantDisplay">{t}nd_registrantLabel{/t}</label>
      <input type="text" name="registrantDisplay" value="{$smarty.post.registrant}" tabindex="" maxlength="16" disabled="disabled" />
      <input type="hidden" name="registrant" value="{$smarty.post.registrant}" />
      <span class="hint">{t}nd_registrantHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="admin">{t}nd_adminLabel{/t}</label>
      <input type="text" name="admin" value="{$smarty.post.registrant}" tabindex="" maxlength="16" />
      <span class="hint">{t}nd_adminHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="authinfo">{t}nd_authinfoLabel{/t}</label>
      <input type="text" name="authinfo" value="{$smarty.post.authinfo}" tabindex="1" id="autofocus" maxlength="32" />
      <span class="hint">{t}nd_authinfoHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    {if $smarty.post.type == "transfer"}
    <span>
      <label for="authinfoOld">{t}nd_authinfoOldLabel{/t}</label>
      <input type="text" name="authinfoOld" value="{$smarty.post.authinfoOld}" tabindex="2" id="autofocus" maxlength="32" />
      <span class="hint">{t}nd_authinfoOldHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    {/if}
    <span>
      <label for="techc1">{t}nd_techc1Label{/t}</label>
      <input type="text" name="techc1" value="{$smarty.post.techc1}" tabindex="3" maxlength="16" />
      <span class="hint">{t}nd_techcHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span>
      <label for="techc2">{t}nd_techc2Label{/t}</label>
      <input type="text" name="techc2" value="{$smarty.post.techc2}" tabindex="4" maxlength="16" />
      <span class="hint">{t}nd_techcHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <br>

    <span id="dnssecSpan">
     <span>
       <label for="dnssec1">{t}nd_dnssec1Label{/t}</label>
       <select name="dnssec1" id="dnssec1">
	<option value="0">{t}nd_dnssecDontShow{/t}</option>
	<option value="1">{t}nd_dnssecShow{/t}</option>
       </select>
       <span class="hint">{t}nd_dnssecHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span id="dnssec1Span">
      <span>
       <label for="dnssec1keytag">{t}nd_dnssecKeytag{/t}</label>
       <input type="text" name="dnssec1keytag" id="dnssec1keytag" value="{$dnssec1keytag}" />
      </span>
      <span>
       <label for="dnssec1algorithm">{t}nd_dnssecAlgorithm{/t}</label>
       <select name="dnssec1algorithm" id="dnssec1algorithm">
	<option value="3"{if $dnssec_algorithm eq 3} selected{/if}>3 (DSA/SHA-1)</option>
	<option value="5"{if $dnssec_algorithm eq 5} selected{/if}>5 (RSA/SHA-1)</option>
	<option value="6"{if $dnssec_algorithm eq 6} selected{/if}>6 (DSA-NSEC3-SHA1)</option>
	<option value="7"{if $dnssec_algorithm eq 7} selected{/if}>7 (RSASHA1-NSEC3-SHA1)</option>
	<option value="8"{if $dnssec_algorithm eq 8} selected{/if}>8 (RSA/SHA-256)</option>
	<option value="10"{if $dnssec_algorithm eq 10} selected{/if}>10 (RSA/SHA-512)</option>
	<option value="12"{if $dnssec_algorithm eq 12} selected{/if}>12 (ECC-GOST)</option>
	<option value="13"{if $dnssec_algorithm eq 13} selected{/if}>13 (ECD-SAP-256 SHA-256)</option>
	<option value="14"{if $dnssec_algorithm eq 14} selected{/if}>14 (ECD-SAP-384 SHA-384)</option>
       </select>
      </span>
      <span>
       <label for="dnssec1digesttype">{t}nd_dnssecDigesttype{/t}</label>
       <select name="dnssec1digesttype" id="dnssec1digesttype">
	<option value="1"{if $dnssec_digesttype eq 1} selected{/if}>1 (SHA-1)</option>
	<option value="2"{if $dnssec_digesttype eq 2} selected{/if}>2 (SHA-256)</option>
	<option value="3"{if $dnssec_digesttype eq 3} selected{/if}>3 (GOST R 34.11-94)</option>
	<option value="4"{if $dnssec_digesttype eq 4} selected{/if}>4 (SHA-384)</option>
       </select>
      </span>
      <span>
       <label for="dnssec1digest">{t}nd_dnssecDigest{/t}</label>
       <input type="text" name="dnssec1digest" id="dnssec1digest" value="{$dnssec1digest}" />
      </span>
      <br>
     </span><!-- dnssec1Span -->

     <span>
       <label for="dnssec2">{t}nd_dnssec2Label{/t}</label>
       <select name="dnssec2" id="dnssec2">
	<option value="0">{t}nd_dnssecDontShow{/t}</option>
	<option value="1">{t}nd_dnssecShow{/t}</option>
       </select>
       <span class="hint">{t}nd_dnssecHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span id="dnssec2Span">
      <span>
       <label for="dnssec2keytag">{t}nd_dnssecKeytag{/t}</label>
       <input type="text" name="dnssec2keytag" id="dnssec2keytag" value="{$dnssec2keytag}" />
      </span>
      <span>
       <label for="dnssec2algorithm">{t}nd_dnssecAlgorithm{/t}</label>
       <select name="dnssec2algorithm" id="dnssec2algorithm">
	<option value="3"{if $dnssec_algorithm eq 3} selected{/if}>3 (DSA/SHA-1)</option>
	<option value="5"{if $dnssec_algorithm eq 5} selected{/if}>5 (RSA/SHA-1)</option>
	<option value="6"{if $dnssec_algorithm eq 6} selected{/if}>6 (DSA-NSEC3-SHA1)</option>
	<option value="7"{if $dnssec_algorithm eq 7} selected{/if}>7 (RSASHA1-NSEC3-SHA1)</option>
	<option value="8"{if $dnssec_algorithm eq 8} selected{/if}>8 (RSA/SHA-256)</option>
	<option value="10"{if $dnssec_algorithm eq 10} selected{/if}>10 (RSA/SHA-512)</option>
	<option value="12"{if $dnssec_algorithm eq 12} selected{/if}>12 (ECC-GOST)</option>
	<option value="13"{if $dnssec_algorithm eq 13} selected{/if}>13 (ECD-SAP-256 SHA-256)</option>
	<option value="14"{if $dnssec_algorithm eq 14} selected{/if}>14 (ECD-SAP-384 SHA-384)</option>
       </select>
      </span>
      <span>
       <label for="dnssec2digesttype">{t}nd_dnssecDigesttype{/t}</label>
       <select name="dnssec2digesttype" id="dnssec2digesttype">
	<option value="1"{if $dnssec_digesttype eq 1} selected{/if}>1 (SHA-1)</option>
	<option value="2"{if $dnssec_digesttype eq 2} selected{/if}>2 (SHA-256)</option>
	<option value="3"{if $dnssec_digesttype eq 3} selected{/if}>3 (GOST R 34.11-94)</option>
	<option value="4"{if $dnssec_digesttype eq 4} selected{/if}>4 (SHA-384)</option>
       </select>
      </span>
      <span>
       <label for="dnssec2digest">{t}nd_dnssecDigest{/t}</label>
       <input type="text" name="dnssec2digest" id="dnssec2digest" value="{$dnssec2digest}" />
      </span>
     </span><!-- dnssec2Span -->
     <br>

    </span><!-- dnssecSpan -->

    <span>
      <label for="dns1">{t}nd_dns1Label{/t}</label>
      <input type="text" id="dns1" name="dns1" value="{$smarty.post.dns1}" tabindex="20" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns1ipSpan">
     <span>
      <label for="dns1ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns1ip" value="{$smarty.post.dns1ip}" tabindex="21" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns1ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns1ip2" value="{$smarty.post.dns1ip2}" tabindex="22" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns2">{t}nd_dns2Label{/t}</label>
      <input type="text" id="dns2" name="dns2" value="{$smarty.post.dns2}" tabindex="23" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns2ipSpan">
     <span>
      <label for="dns2ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns2ip" value="{$smarty.post.dns2ip}" tabindex="24" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns2ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns2ip2" value="{$smarty.post.dns2ip2}" tabindex="25" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns3">{t}nd_dns3Label{/t}</label>
      <input type="text" id="dns3" name="dns3" value="{$smarty.post.dns3}" tabindex="26" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns3ipSpan">
     <span>
      <label for="dns3ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns3ip" value="{$smarty.post.dns3ip}" tabindex="27" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns3ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns3ip2" value="{$smarty.post.dns3ip2}" tabindex="28" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns4">{t}nd_dns4Label{/t}</label>
      <input type="text" id="dns4" name="dns4" value="{$smarty.post.dns4}" tabindex="29" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns4ipSpan">
     <span>
      <label for="dns4ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns4ip" value="{$smarty.post.dns4ip}" tabindex="30" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns4ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns4ip2" value="{$smarty.post.dns4ip2}" tabindex="31" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns5">{t}nd_dns5Label{/t}</label>
      <input type="text" id="dns5" name="dns5" value="{$smarty.post.dns5}" tabindex="32" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns5ipSpan">
     <span>
      <label for="dns5ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns5ip" value="{$smarty.post.dns5ip}" tabindex="33" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns5ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns5ip2" value="{$smarty.post.dns5ip2}" tabindex="34" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="dns6">{t}nd_dns6Label{/t}</label>
      <input type="text" id="dns6" name="dns6" value="{$smarty.post.dns6}" tabindex="35" maxlength="255" />
      <span class="hint">{t}nd_dnsHint{/t}<span class="hint-pointer">&nbsp;</span></span>
    </span>
    <span id="dns6ipSpan">
     <span>
      <label for="dns6ip">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns6ip" value="{$smarty.post.dns6ip}" tabindex="36" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <span>
      <label for="dns6ip2">{t}nd_dnsipLabel{/t}</label>
      <input type="text" name="dns6ip2" value="{$smarty.post.dns6ip2}" tabindex="37" maxlength="255" />
      <span class="hint">{t}nd_dnsipHint{/t}<span class="hint-pointer">&nbsp;</span></span>
     </span>
     <br>
    </span>

    <span>
      <label for="buttons"> </label>
      <a href="javascript:submitFormConfirm('newDomain','{t}nd_createConfirm{/t}')" class="button"><span>{t}nd_newDomainButton{/t}</span></a>
    </span>
  </fieldset>
</div>
